/***************************************************************************
 *   Copyright (C) 2005 by Nicolas Ternisien                               *
 *   nicolas.ternisien@gmail.com                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.             *
 ***************************************************************************/

#include "parentLogLine.h"

#include "childLogLine.h"

ChildLogLine::ChildLogLine(TQDate& date, TQTime& time, TQStringList& list, TQString& file, LogLevel* level, int type) :
	LogLine(date, time, list, file, level, type),
	parent(NULL) {
	
}

ChildLogLine::~ChildLogLine() {

}

void ChildLogLine::setParent(ParentLogLine* line) {
	parent=line;
}

ParentLogLine* ChildLogLine::getParent() {
	return(parent);
}

bool ChildLogLine::isChildLogLine() {
	return(true);
}
